> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-catalogues/product-catalogue-details/data-model/property-types/property-details.md).

# Property details

Additional details when adding a property to a section.

## Attribute settings

### Attribute

The attribute to add to the section.

### Read only

Determines if the attribute shall be read only on this configuration.

### Mandatory

Determines if the attribute shall be mandatory on this configuration.

### Unchangeable

Determines if the value is unchangeable once it has been set.

## Entity references settings

### Property label

The label to show for the property in the backoffice.

### Property description

The description to show for the property in the backoffice.

### Referencing item type

The item type of the referencing items to show.

### Referencing attribute

The attribute to show references for.

## Security

### Create a new permission

1. Click the '+'-icon on the 'View permission- or 'Edit permission'-selector
2. Set Permission group, Name and Description
3. Click 'Create Permission'

### View permission

Determines if a permission is required in order to see this property.

### Edit permission

Determines if a permission is required in order to edit values in this property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/product-catalogues/product-catalogue-details/data-model/property-types/property-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
